# FlowActionSpec

@Incubating
interface FlowActionSpec<P : FlowParameters?>

Allows configuring the parameters for a dataflow action.

#### Since

8.1

#### Parameters

<P>

the parameters defined by the configured dataflow action type.

## Functions

getParameters
Link copied to clipboard
abstract fun getParameters(): P
Returns the parameters defined by the configured dataflow action.
parameters
Link copied to clipboard
abstract fun parameters(configureAction: Action<in P>)
Configures the parameters for the flow action.